<? if ( $this -> custom_fields ): foreach ( $this -> custom_fields as $key => $val ):?>
  <div class="custom-field">
    <div class="_name">
      <?
        $custom_field = \shop\ProductCustomField::getFromCache( $key );
        echo $custom_field['name'] . ':';
      ?>
    </div>
    <div class="_text">
      <?= $val;?>
    </div>
  </div>
<? endforeach; endif;?>